Retrieve a knowledge store item
Retrieves the details of a specific knowledge store item.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
knowledge_store_id
The unique identifier of the knowledge store.
item_id
The unique identifier of the knowledge store item.
Response
The knowledge store item has been successfully retrieved.
_id
The unique identifier of the knowledge store item.
asset_id
The unique identifier of the source video asset.
status
The processing status of the item. The following options are available:
queued: The item has been submitted and is waiting to be processed.pending: The item has been dispatched and is waiting for available processing capacity.processing: The item is currently being processed.ready: The item has been successfully processed.failed: The item processing has failed.
Allowed values:
metadata
Key-value pairs attached to the item.
created_at
The date and time when the item was created, in the RFC 3339 format.
updated_at
The date and time when the item was last updated, in the RFC 3339 format.
Errors
400
Bad Request Error